// Vertex decoding
using System;
using System.Drawing;
using System.Drawing.Imaging;

namespace DOOM.WAD {
    public partial class Wad {
        public static Point[] DecodeVertices(Lump Vertexes) {
            Point[] Return = new Point[Vertexes.Size / 4];
            for (int i = 0; i < Vertexes.Size; i+=4) {
                Return[i / 4] = new Point(
                    FixSignedShort(Vertexes.Data[i + 0] + (Vertexes.Data[i + 1] << 8)),
                    FixSignedShort(Vertexes.Data[i + 2] + (Vertexes.Data[i + 3] << 8))
                );
            }
            return Return;
        }
    }
}